=== modified file 'unittests/calendar_test.cc' (properties changed: -x to +x)
--- unittests/calendar_test.cc	2010-04-20 06:49:33 +0000
+++ unittests/calendar_test.cc	2010-05-25 19:13:43 +0000
@@ -29,7 +29,7 @@
 TEST(calendar_julian_day_number_from_gregorian_date_test, CalculationTest)
 {
   uint32_t year, month, day;
-  
+
   year= 2010; month= 4; day= 2;
   EXPECT_EQ(2455289, julian_day_number_from_gregorian_date(year, month, day));
   

=== added file 'unittests/generator.cc'
--- unittests/generator.cc	1970-01-01 00:00:00 +0000
+++ unittests/generator.cc	2010-05-26 22:07:11 +0000
@@ -0,0 +1,56 @@
+/* -*- mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Pawel Blokus
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+
+#include <drizzled/temporal.h>
+
+#include "generator.h"
+
+using namespace drizzled;
+
+void Generator::DateGen::make_date(Date *date,
+                                          uint32_t years, uint32_t months, uint32_t days)
+{
+  date->set_years(years);
+  date->set_months(months);
+  date->set_days(days);
+}
+
+void Generator::DateTimeGen::make_datetime(drizzled::DateTime *datetime,
+                   uint32_t years, uint32_t months, uint32_t days, uint32_t hours,
+                   uint32_t minutes, uint32_t seconds, uint32_t useconds)
+{
+  datetime->set_years(years);
+  datetime->set_months(months);
+  datetime->set_days(days);
+  datetime->set_hours(hours);
+  datetime->set_minutes(minutes);
+  datetime->set_seconds(seconds);
+  datetime->set_useconds(useconds);
+}                     
+
+void Generator::TimestampGen::make_timestamp(drizzled::Timestamp *timestamp,
+                           uint32_t years, uint32_t months, uint32_t days)
+{
+  timestamp->set_years(years);
+  timestamp->set_months(months);
+  timestamp->set_days(days);
+}
\ No newline at end of file

=== added file 'unittests/generator.h'
--- unittests/generator.h	1970-01-01 00:00:00 +0000
+++ unittests/generator.h	2010-05-25 21:44:51 +0000
@@ -0,0 +1,57 @@
+/* -*- mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Pawel Blokus
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef UNITTESTS_GENERATOR_H
+#define UNITTESTS_GENERATOR_H
+
+#include "config.h"
+
+namespace drizzled
+{
+  class Date;
+}
+
+class Generator 
+{
+public:
+
+  class DateGen
+  {
+  public:
+    static void make_date(drizzled::Date *date, uint32_t years, uint32_t months, uint32_t days);
+  };
+  
+  class DateTimeGen
+  {
+    public:
+      static void make_datetime(drizzled::DateTime *datetime,
+                                uint32_t years, uint32_t months, uint32_t days, uint32_t _hours,
+                                uint32_t _minutes, uint32_t _seconds, uint32_t _useconds);
+  };
+  
+  class TimestampGen
+  {
+    public:
+      static void make_timestamp(drizzled::Timestamp *timestamp,
+                                 uint32_t years, uint32_t months, uint32_t days);
+  };
+};
+
+#endif /*UNITTESTS_GENERATOR_H*/
\ No newline at end of file

=== modified file 'unittests/include.am' (properties changed: -x to +x)
--- unittests/include.am	2010-05-26 21:50:36 +0000
+++ unittests/include.am	2010-05-26 22:17:48 +0000
@@ -6,5 +6,9 @@
 check_PROGRAMS += unittests/calendar_test
 
 unittests_calendar_test_LDADD = drizzled/libtemporal.la ${LTLIBGTEST}
-unittests_calendar_test_SOURCES = unittests/calendar_test.cc
+
+unittests_calendar_test_SOURCES = unittests/calendar_test.cc \
+	unittests/temporal_test.cc unittests/temporal_format_test.cc \
+	unittests/temporal_interval_test.cc unittests/generator.cc
 endif
+

=== added file 'unittests/temporal_format_test.cc'
--- unittests/temporal_format_test.cc	1970-01-01 00:00:00 +0000
+++ unittests/temporal_format_test.cc	2010-05-25 14:51:28 +0000
@@ -0,0 +1,23 @@
+/* -*- mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Pawel Blokus
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+
+#include <gtest/gtest.h>
\ No newline at end of file

=== added file 'unittests/temporal_interval_test.cc'
--- unittests/temporal_interval_test.cc	1970-01-01 00:00:00 +0000
+++ unittests/temporal_interval_test.cc	2010-05-25 14:51:28 +0000
@@ -0,0 +1,23 @@
+/* -*- mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Pawel Blokus
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+
+#include <gtest/gtest.h>
\ No newline at end of file

=== added file 'unittests/temporal_test.cc'
--- unittests/temporal_test.cc	1970-01-01 00:00:00 +0000
+++ unittests/temporal_test.cc	2010-05-26 23:24:33 +0000
@@ -0,0 +1,181 @@
+/* -*- mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Pawel Blokus
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+
+#include <gtest/gtest.h>
+#include <drizzled/temporal.h>
+
+#include "generator.h"
+
+using namespace drizzled;
+
+template <typename TemporalType>
+class DateTest : public ::testing::Test
+{
+ protected:
+  Date sample_date;
+  
+  TemporalType identical_with_sample_date, before_sample_date, after_sample_date;
+  
+  void initBeforeIdenticalAfter();
+
+  virtual void SetUp()
+  {
+    Generator::DateGen::make_date(&sample_date, 2010, 9, 8);
+    initBeforeIdenticalAfter();
+  }
+};
+
+template<> void DateTest<Date>::initBeforeIdenticalAfter()
+{
+  Generator::DateGen::make_date(&before_sample_date, 1980, 1, 1);
+  Generator::DateGen::make_date(&identical_with_sample_date, 2010, 9, 8);
+  Generator::DateGen::make_date(&after_sample_date, 2019, 5, 30);
+}
+
+template<> void DateTest<DateTime>::initBeforeIdenticalAfter()
+{
+  Generator::DateTimeGen::make_datetime(&before_sample_date, 1990, 12, 31, 12, 12, 30, 1000);
+  Generator::DateTimeGen::make_datetime(&identical_with_sample_date, 2010, 9, 8, 0, 0, 0, 0);
+  Generator::DateTimeGen::make_datetime(&after_sample_date, 2020, 4, 4, 4, 4, 4, 4000);
+}
+
+template<> void DateTest<Timestamp>::initBeforeIdenticalAfter()
+{
+  Generator::TimestampGen::make_timestamp(&before_sample_date, 1980, 1, 1);
+  Generator::TimestampGen::make_timestamp(&identical_with_sample_date, 2010, 9, 8);
+  Generator::TimestampGen::make_timestamp(&after_sample_date, 2019, 5, 30);
+}
+
+typedef ::testing::Types<Date, DateTime, Timestamp> typesForDateTest;
+TYPED_TEST_CASE(DateTest, typesForDateTest);
+
+TYPED_TEST(DateTest, operatorEqual_ComparingWithIdencticalTemporal_ShouldReturn_True)
+{
+  bool result= (this->sample_date == this->identical_with_sample_date);
+  
+  ASSERT_EQ(true, result);
+}
+
+TYPED_TEST(DateTest, operatorEqual_ComparingWithDifferentTemporal_ShouldReturn_False)
+{
+  bool result= (this->sample_date == this->before_sample_date);
+  
+  ASSERT_EQ(false, result);
+}
+
+TYPED_TEST(DateTest, operatorNotEqual_ComparingWithIdencticalTemporal_ShouldReturn_False)
+{ 
+  bool result= (this->sample_date != this->identical_with_sample_date);
+  
+  ASSERT_EQ(false, result);
+}
+
+TYPED_TEST(DateTest, operatorNotEqual_ComparingWithDifferentTemporal_ShouldReturn_True)
+{
+  bool result= (this->sample_date != this->before_sample_date);
+  
+  ASSERT_EQ(true, result);
+}
+
+TYPED_TEST(DateTest, operatorGreaterThan_ComparingWithIdenticalTemporal_ShouldReturn_False)
+{
+  bool result= (this->sample_date > this->identical_with_sample_date);
+  
+  ASSERT_EQ(false, result);
+}
+
+TYPED_TEST(DateTest, operatorGreaterThan_ComparingWithLaterTemporal_ShouldReturn_False)
+{
+  bool result= (this->sample_date > this->after_sample_date);
+  
+  ASSERT_EQ(false, result);
+}
+
+TYPED_TEST(DateTest, operatorGreaterThan_ComparingWithEarlierTemporal_ShouldReturn_True)
+{
+  bool result= (this->sample_date > this->before_sample_date);
+  
+  ASSERT_EQ(true, result);
+}
+
+TYPED_TEST(DateTest, operatorGreaterThanOrEqual_ComparingWithIdenticalTemporal_ShouldReturn_True)
+{
+  bool result= (this->sample_date >= this->identical_with_sample_date);
+  
+  ASSERT_EQ(true, result);
+}
+
+TYPED_TEST(DateTest, operatorGreaterThanOrEqual_ComparingWithLaterTemporal_ShouldReturn_False)
+{
+  bool result= (this->sample_date >= this->after_sample_date);
+  
+  ASSERT_EQ(false, result);
+}
+
+TYPED_TEST(DateTest, operatorGreaterThanOrEqual_ComparingWithEarlierTemporal_ShouldReturn_True)
+{
+  bool result= (this->sample_date >= this->before_sample_date);
+  
+  ASSERT_EQ(true, result);
+}
+
+TYPED_TEST(DateTest, operatorLessThan_ComparingWithIdenticalTemporal_ShouldReturn_False)
+{
+  bool result= (this->sample_date < this->identical_with_sample_date);
+  
+  ASSERT_EQ(false, result);
+}
+
+TYPED_TEST(DateTest, operatorLessThan_ComparingWithLaterTemporal_ShouldReturn_True)
+{
+  bool result= (this->sample_date < this->after_sample_date);
+  
+  ASSERT_EQ(true, result);
+}
+
+TYPED_TEST(DateTest, operatorLessThan_ComparingWithEarlierTemporal_ShouldReturn_False)
+{
+  bool result= (this->sample_date < this->before_sample_date);
+  
+  ASSERT_EQ(false, result);
+}
+
+TYPED_TEST(DateTest, operatorLessThanOrEqual_ComparingWithIdenticalTemporal_ShouldReturn_True)
+{
+  bool result= (this->sample_date < this->identical_with_sample_date);
+  
+  ASSERT_EQ(true, result);
+}
+
+TYPED_TEST(DateTest, operatorLessThanOrEqual_ComparingWithLaterTemporal_ShouldReturn_True)
+{
+  bool result= (this->sample_date < this->after_sample_date);
+  
+  ASSERT_EQ(true, result);
+}
+
+TYPED_TEST(DateTest, operatorLessThanOrEqual_ComparingWithEarlierTemporal_ShouldReturn_False)
+{
+  bool result= (this->sample_date < this->before_sample_date);
+  
+  ASSERT_EQ(false, result);
+}

